module.exports = {
  transformers: {
    toUpperCaseNew: (parameterValue, context) => parameterValue.toUpperCase(),
  },
  functions: {
    date: (context) => Date.now(),
  },
  parametersOptions: {
    someParameter: {
      question:
        "this text will be shown to the user in the interactive mode when he will be asked to enter the value for 'someParameter'",
    },
  },
   templatesOptions: {
    someTemplate: {
      hooks: {
        preTemplateGeneration: (context) => {
        // do something before generating a template
        },
        postTemplateGeneration: (context) => {
        // do something after generating a template
        }
      },
      // transformers, functions, parametersOptions can be scoped to specific templates
      transformers: {...},
      functions: {...},
      parametersOptions: {...}
    }
  }
};